Lavalite package that provides l_o_v_e_s_p_e_l_l_c_a_s_t_e_r_t_o_h_e_l_p_y_o_u_g_e_t_b_a_c_k_y_o_u_r_e_x management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `olivia/l_o_v_e_s_p_e_l_l_c_a_s_t_e_r_t_o_h_e_l_p_y_o_u_g_e_t_b_a_c_k_y_o_u_r_e_x`.

    "olivia/l_o_v_e_s_p_e_l_l_c_a_s_t_e_r_t_o_h_e_l_p_y_o_u_g_e_t_b_a_c_k_y_o_u_r_e_x": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Olivia\LOVESPELLCASTERTOHELPYOUGETBACKYOUREX\Providers\LOVESPELLCASTERTOHELPYOUGETBACKYOUREXServiceProvider::class,

And also add it to alias

    'LOVESPELLCASTERTOHELPYOUGETBACKYOUREX'  => Olivia\LOVESPELLCASTERTOHELPYOUGETBACKYOUREX\Facades\LOVESPELLCASTERTOHELPYOUGETBACKYOUREX::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Olivia\\LOVESPELLCASTERTOHELPYOUGETBACKYOUREX\\Seeders\\LOVESPELLCASTERTOHELPYOUGETBACKYOUREXTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Olivia\LOVESPELLCASTERTOHELPYOUGETBACKYOUREX\Providers\LOVESPELLCASTERTOHELPYOUGETBACKYOUREXServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Olivia\LOVESPELLCASTERTOHELPYOUGETBACKYOUREX\Providers\LOVESPELLCASTERTOHELPYOUGETBACKYOUREXServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Olivia\LOVESPELLCASTERTOHELPYOUGETBACKYOUREX\Providers\LOVESPELLCASTERTOHELPYOUGETBACKYOUREXServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/l_o_v_e_s_p_e_l_l_c_a_s_t_e_r_t_o_h_e_l_p_y_o_u_g_e_t_b_a_c_k_y_o_u_r_e_x/{modulename}

**User**

    http://path-to-route-folder/user/l_o_v_e_s_p_e_l_l_c_a_s_t_e_r_t_o_h_e_l_p_y_o_u_g_e_t_b_a_c_k_y_o_u_r_e_x/{modulename}

**Public**

    http://path-to-route-folder/l_o_v_e_s_p_e_l_l_c_a_s_t_e_r_t_o_h_e_l_p_y_o_u_g_e_t_b_a_c_k_y_o_u_r_e_x_e_s


### API endpoints

**List**

    http://path-to-route-folder/api/user/l_o_v_e_s_p_e_l_l_c_a_s_t_e_r_t_o_h_e_l_p_y_o_u_g_e_t_b_a_c_k_y_o_u_r_e_x/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/l_o_v_e_s_p_e_l_l_c_a_s_t_e_r_t_o_h_e_l_p_y_o_u_g_e_t_b_a_c_k_y_o_u_r_e_x/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/l_o_v_e_s_p_e_l_l_c_a_s_t_e_r_t_o_h_e_l_p_y_o_u_g_e_t_b_a_c_k_y_o_u_r_e_x/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/l_o_v_e_s_p_e_l_l_c_a_s_t_e_r_t_o_h_e_l_p_y_o_u_g_e_t_b_a_c_k_y_o_u_r_e_x/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/l_o_v_e_s_p_e_l_l_c_a_s_t_e_r_t_o_h_e_l_p_y_o_u_g_e_t_b_a_c_k_y_o_u_r_e_x/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/l_o_v_e_s_p_e_l_l_c_a_s_t_e_r_t_o_h_e_l_p_y_o_u_g_e_t_b_a_c_k_y_o_u_r_e_x/{modulename}/{slug}
    METHOD: GET